Greenbone Vulnerability Management Libraries: util/json_tests.c File Reference

Greenbone Vulnerability Management Libraries 23.1.2

Functions
json_tests.c File Reference
`#include "json.c"`
`#include <cgreen/cgreen.h>`
`#include <cgreen/mocks.h>`
`#include <stdio.h>`

## Functions
| Describe (json)
| BeforeEach (json)
| AfterEach (json)
| Ensure (json, can_json_escape_strings)
| Ensure (json, gvm_json_obj_double_gets_value)
| Ensure (json, gvm_json_obj_double_0_when_missing)
| Ensure (json, gvm_json_obj_check_str_0_when_has)
| Ensure (json, gvm_json_obj_check_str_1_when_missing)
| Ensure (json, gvm_json_obj_check_str_1_when_int)
| Ensure (json, gvm_json_obj_check_str_0_and_val_when_has)
| Ensure (json, gvm_json_obj_str_gets_value)
| Ensure (json, gvm_json_obj_str_null_when_missing)
| Ensure (json, gvm_json_obj_int_gets_value)
| Ensure (json, gvm_json_obj_int_0_when_missing)
| Ensure (json, gvm_json_obj_int_0_when_str)
| Ensure (json, gvm_json_obj_check_int_0_when_has)
| Ensure (json, gvm_json_obj_check_int_1_when_missing)
| Ensure (json, gvm_json_obj_check_int_1_when_str)
| Ensure (json, gvm_json_obj_check_int_0_and_val_when_has)
int | main (int argc, char **argv)

## Function Documentation

## ◆ AfterEach()

AfterEach | ( | json |  | ) |

## ◆ BeforeEach()

BeforeEach | ( | json |  | ) |

## ◆ Describe()

Describe | ( | json |  | ) |

## ◆ Ensure() [1/16]

Ensure | ( | json | ,
|  | can_json_escape_strings | )

## ◆ Ensure() [2/16]

Ensure | ( | json | ,
|  | gvm_json_obj_check_int_0_and_val_when_has | )

## ◆ Ensure() [3/16]

Ensure | ( | json | ,
|  | gvm_json_obj_check_int_0_when_has | )

## ◆ Ensure() [4/16]

Ensure | ( | json | ,
|  | gvm_json_obj_check_int_1_when_missing | )

## ◆ Ensure() [5/16]

Ensure | ( | json | ,
|  | gvm_json_obj_check_int_1_when_str | )

## ◆ Ensure() [6/16]

Ensure | ( | json | ,
|  | gvm_json_obj_check_str_0_and_val_when_has | )

## ◆ Ensure() [7/16]

Ensure | ( | json | ,
|  | gvm_json_obj_check_str_0_when_has | )

## ◆ Ensure() [8/16]

Ensure | ( | json | ,
|  | gvm_json_obj_check_str_1_when_int | )

## ◆ Ensure() [9/16]

Ensure | ( | json | ,
|  | gvm_json_obj_check_str_1_when_missing | )

## ◆ Ensure() [10/16]

Ensure | ( | json | ,
|  | gvm_json_obj_double_0_when_missing | )

## ◆ Ensure() [11/16]

Ensure | ( | json | ,
|  | gvm_json_obj_double_gets_value | )

## ◆ Ensure() [12/16]

Ensure | ( | json | ,
|  | gvm_json_obj_int_0_when_missing | )

## ◆ Ensure() [13/16]

Ensure | ( | json | ,
|  | gvm_json_obj_int_0_when_str | )

## ◆ Ensure() [14/16]

Ensure | ( | json | ,
|  | gvm_json_obj_int_gets_value | )

## ◆ Ensure() [15/16]

Ensure | ( | json | ,
|  | gvm_json_obj_str_gets_value | )

## ◆ Ensure() [16/16]

Ensure | ( | json | ,
|  | gvm_json_obj_str_null_when_missing | )

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv )